<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html"/>

<!--
* Roland S. Kamzelak 15.1.2003
* www.kamzelak.de
** Zweck: Briefedition Harry Graf Kessler an Richard und Ida Dehmel
* Dissertationsprojekt (Universitaet Tuebingen)
* Index ausgeben
*
** Bearbeiter: Roland S. Kamzelak
*
** Dateiformat: XSL
*
** weitere Dateien: briefed.dtd, briefed.css
*
* Revisionen:
* 3.0 - 29.4.2003: Link-Strukturen hinzugefuegt. rsk
* 2.0 - 27.4.2003: kleinere Korrekturen. rsk
* 1.0 - 15.1.2003: Ausgangsversion. rsk
*
**
-->
<!-- Wurzelelement definieren, Grundgeruest HTML, Titel fuellen -->


<xsl:template match="/">
 <html>
 <head>
 <link rel="stylesheet" type="text/css" href="dtd/briefed.css" media="screen"></link>
 <link rel="stylesheet" type="text/css" href="dtd/briefedp.css" media="print"></link>
 <title>
   <xsl:value-of select="//titleStmt/title"/>
 </title>
 </head>
 <body>
  <xsl:apply-templates/>
 </body>
 </html>
</xsl:template>


<!-- Titel als Ueberschrift auswerten  und publication Statement auskommentieren -->

 <xsl:template match="fileDesc">
   <span style="background-color: white">
      <h1><xsl:value-of select="titleStmt/title"/> <br></br>Index der vorhandenen Briefe</h1>
     <!--<xsl:value-of select="publicationStmt/p"/>-->
     <!--<xsl:value-of select="sourceDesc/p"/>-->
   </span>
</xsl:template>

<xsl:template match="revisionDesc">
   <span style="background-color: white">
     <!--><xsl:value-of select="change"/>-->
   </span>
</xsl:template>


<xsl:template match="div">
     <p style="margin-bottom: 6pt">
     <span style="background-color: white; font-family: Verdana; font-size: x-small">
     -- --
     <xsl:text disable-output-escaping="yes">&lt;a href=&quot;briefe.html#</xsl:text>
     <xsl:value-of select="substring(@n,1,5)"/>
     <xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
     <xsl:value-of select="@n"/>
     <xsl:text disable-output-escaping="yes">&lt;/a&gt;</xsl:text>
     </span>
     <br></br>
     <span style="background-color: white; font-family: Verdana; font-size: small">
      <xsl:value-of select="docAuthor/name"/> an
          <xsl:value-of select="docAuthor/rs[@type='at']"/> -
          <xsl:value-of select="docAuthor/rs[@type='loc']"/>,
          <xsl:value-of select="docDate/date"/>
          (<xsl:value-of select="docDate/name"/>)
      <xsl:apply-templates/>
     </span>
     </p>
  </xsl:template>

 <xsl:template match="head">
        <!--<xsl:apply-templates/>-->
     </xsl:template>


     <xsl:template match="note">
               <!--(<xsl:value-of select="@type"/>
               <xsl:value-of select="@resp"/>)
               <xsl:value-of select="."/>-->
     </xsl:template>





  <xsl:template match="docAuthor">
        <span>
         <!--<xsl:value-of select="docAuthor/name"/> -->
        </span>
     </xsl:template>

      <xsl:template match="docDate">
        <span>
         <!--<xsl:value-of select="docDate/date"/> -->
        </span>
   </xsl:template>

   <xsl:template match="opener">
       <!--<xsl:apply-templates/>-->
</xsl:template>

<xsl:template match="p">
  <!--<xsl:apply-templates/>-->
 </xsl:template>

<xsl:template match="signed">
    <!--<xsl:apply-templates/>-->


</xsl:template>


<xsl:template match="dateline">

   <!--<xsl:apply-templates/>-->

</xsl:template>

<xsl:template match="interp">

   <!--<xsl:apply-templates/>-->

</xsl:template>

 <xsl:template match="salute">

   <!--<xsl:apply-templates/>-->

 </xsl:template>



 <xsl:template match="trailer">
   <!--<xsl:apply-templates/>-->

  </xsl:template>


 <xsl:template match="emph">
        <!--<xsl:apply-templates/>-->
 </xsl:template>

<xsl:template match="seg">
      <!--<xsl:apply-templates/>-->

 </xsl:template>

 <xsl:template match="seg/title">
      <!--<xsl:apply-templates/>-->

 </xsl:template>

 <xsl:template match="seg/name">
       <!--<xsl:apply-templates/>-->

 </xsl:template>

 <xsl:template match="pb">
           <!--<xsl:apply-templates/>-->
 </xsl:template>


 <xsl:template match="lb">
          <!--<xsl:apply-templates/>-->
 </xsl:template>

<xsl:template match="hi">
   <!--<xsl:apply-templates/>-->
 </xsl:template>



<!-- Testarea -->




 </xsl:stylesheet>