<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html"/>

<!--
* Roland S. Kamzelak 8.1.2003
* www.kamzelak.de
** Zweck: Briefedition Harry Graf Kessler an Richard und Ida Dehmel: Register
* Dissertationsprojekt (Universitaet Tuebingen)
*
** Bearbeiter: Roland S. Kamzelak
*
** Dateiformat: XSL
*
** weitere Dateien: briefed.dtd, briefed.css
*
* Sonstige Hinweise:
*
* Revisionen:
* 2.0 - 27.4.2003: kleinere Korrekturen. ka
* 1.0 - 31.1.2003: Ausgangsversion. ka
*
**
-->

<xsl:template match="/">
 <html>
 <head>
 <link rel="stylesheet" type="text/css" href="dtd/briefed.css" media="screen"></link>
 <link rel="stylesheet" type="text/css" href="dtd/briefedp.css" media="print"></link>
 <title>
   <xsl:value-of select="//titleStmt/title"/>
 </title>
 </head>
 <body>
  <xsl:apply-templates/>
 </body>
 </html>
</xsl:template>

<!-- Default-Template: alles rot, was kein spezielles Template hat -->

<xsl:template match="*">
   <span style="background-color: red; font-family: Arial">
     <xsl:apply-templates/>
   </span>
</xsl:template>


<!-- Differenzierte Templates -->

<!-- Header und allgemeine Information -->

 <xsl:template match="fileDesc">
   <span style="background-color: white">
   <h1><xsl:value-of select="titleStmt/title"/></h1>
   <!--<xsl:value-of select="publicationStmt/p"/>-->
   <!--<xsl:value-of select="sourceDesc/p"/>-->
   </span>
 </xsl:template>

 <xsl:template match="revisionDesc">
   <span style="background-color: white">
   <!--><xsl:value-of select="change"/>-->
   </span>
 </xsl:template>


<xsl:template match="head">
   <xsl:apply-templates/>
</xsl:template>

     <!-- Einzelne templates -->

  <xsl:template match="rs[@type='id']">
     <!--<xsl:apply-templates/>-->
  </xsl:template>

  <xsl:template match="div">
   <span style="background-color: white">
    <p style="text-indent:-10 pt; line-height=12pt">
    <xsl:text disable-output-escaping="yes">&lt;a name=&quot;</xsl:text>
   <xsl:value-of select="head/rs[@type='id']"/>
   <xsl:text disable-output-escaping="yes">&quot;&gt;&lt;/a&gt;</xsl:text>

   <xsl:for-each select="trailer[@rend='wrk']">
    <xsl:text disable-output-escaping="yes">&lt;a name=&quot;</xsl:text>
    <xsl:value-of select="@id"/>
    <xsl:text disable-output-escaping="yes">&quot;&gt;&lt;/a&gt;</xsl:text>
    </xsl:for-each>
   <xsl:apply-templates/>
    </p>
   </span>
  </xsl:template>

   <xsl:template match="rs[@type='daten']">
     <!--<xsl:apply-templates/>-->
  </xsl:template>

  <xsl:template match="trailer">
   <br>
    <xsl:for-each select="rs">
     <xsl:text disable-output-escaping="yes">&lt;a href=&quot;briefet.html#</xsl:text>
     <xsl:value-of select="."/>
     <xsl:text disable-output-escaping="yes"> &quot;&gt;</xsl:text>
     <xsl:value-of select="."/>
     <xsl:text disable-output-escaping="yes"> &lt;/a&gt;</xsl:text>
    </xsl:for-each>
   </br>
   <xsl:apply-templates/>
  </xsl:template>



  <xsl:template match="name[@type='name']">
        <b><xsl:apply-templates/></b>
  </xsl:template>

<xsl:template match="name[@type='vorname']">
 <xsl:if test="string-length() = 0">
  <span style="background-color: lightblue">
   <xsl:text> - Vorname fehlt - </xsl:text>
  </span>
 </xsl:if>
 <xsl:if test="string-length() &gt; 0">
  <xsl:apply-templates/>
 </xsl:if>
</xsl:template>

<xsl:template match="date">
 <xsl:if test="string-length() = 0">
  <span style="background-color: pink">
   <xsl:text> - Lebensdaten fehlen - </xsl:text>
  </span>
 </xsl:if>
 <xsl:if test="string-length() &gt; 0">
  <xsl:apply-templates/>
 </xsl:if>
</xsl:template>

<xsl:template match="name[@type='zusatz']">
        <xsl:apply-templates/>
  </xsl:template>

<xsl:template match="name[@type='beruf']">
 <xsl:if test="string-length() = 0">
  <span style="background-color: lightgreen">
   <xsl:text> - Beruf fehlt - </xsl:text>
  </span>
 </xsl:if>
 <xsl:if test="string-length() &gt; 0">
  <xsl:apply-templates/>
 </xsl:if>
</xsl:template>

   <xsl:template match="name[@type='ort']">
         <b><xsl:apply-templates/></b>
  </xsl:template>

<xsl:template match="p">
 <xsl:if test="string-length() &gt; 0">
  <br><xsl:value-of select="."/></br>
 </xsl:if>
 </xsl:template>

  <!-- Testarea -->

  <xsl:template match="trailer[@rend='wrk']">
    <!--<xsl:value-of select="@id"/>-->
    <br></br><xsl:value-of select="name[@type='stop']"/><xsl:text> </xsl:text>
    <xsl:value-of select="name[@type='wrk.tit']"/>
    <xsl:if test="string(rs[@type='info']) &lt; 0">
      <br></br><xsl:value-of select="rs[@type='info']"/>
    </xsl:if>
    <br></br>
    <xsl:for-each select="rs[@type='daten']">
     <xsl:text disable-output-escaping="yes">&lt;a href=&quot;briefet.html#</xsl:text>
     <xsl:value-of select="."/>
     <xsl:text disable-output-escaping="yes"> &quot;&gt;</xsl:text>
     <xsl:value-of select="."/>
     <xsl:text disable-output-escaping="yes"> &lt;/a&gt;</xsl:text>
    </xsl:for-each>
  </xsl:template>




 </xsl:stylesheet>